tick = 0
InfantryReinforcements1 = { "rmbo" }
InfantryReinforcements3 = { "e1", "e1", "e3", "e3", "e3" }
BuggyReinforcements = { "bggy" }

-- VERSTARKUNG VORLAGE
ReinforceFromSeaRight = function(passengers)
	local hovercraft, troops = Reinforcements.Insert(player, "oldlst", passengers, { GDIRightStart.Location, GDIRightEnd.Location }, { GDIRightStart.Location })
	Media.PlaySpeechNotification("Reinforce")
end

ReinforceFromSeaLeft1 = function(passengers)
	local hovercraft, troops = Reinforcements.Insert(player, "oldlst", passengers, { GDILeftStart1.Location, GDILeftEnd1.Location }, { GDILeftStart1.Location })
	Media.PlaySpeechNotification("Reinforce")
end

ReinforceFromSeaLeft2 = function(passengers)
	local hovercraft, troops = Reinforcements.Insert(player, "oldlst", passengers, { GDILeftStart2.Location, GDILeftEnd2.Location }, { GDILeftStart2.Location })
	Media.PlaySpeechNotification("Reinforce")
end

ReinforceFromSeaLeft3 = function(passengers)
	local hovercraft, troops = Reinforcements.Insert(player, "oldlst", passengers, { GDILeftStart3.Location, GDILeftEnd3.Location }, { GDILeftStart3.Location })
	Media.PlaySpeechNotification("Reinforce")
end

SendLastReinforcements = function()
	Media.PlaySpeechNotification("Reinforce")
	ReinforceFromSeaLeft1 (InfantryReinforcements3)
	ReinforceFromSeaLeft2 (BuggyReinforcements)
	ReinforceFromSeaLeft3 (InfantryReinforcements3)
end
	

MissionAccomplished = function()
	Mission.MissionOver({ player }, nil, false)
	print("Mission Accomplished!")
	Media.PlayMovieFullscreen("burdet1.vqa")
end

MissionFailed = function()
	Mission.MissionOver(nil, { player }, false)
	print("Mission Failed!")
	Media.PlayMovieFullscreen("gameover.vqa")
end

WorldLoaded = function()
	player = OpenRA.GetPlayer("Nod")
	enemy = OpenRA.GetPlayer("GDI")
	print("Destroy the TechCenter! Your Commando must not die!")
	
	OpenRA.RunAfterDelay(25 * 3, function() ReinforceFromSeaLeft1 (BuggyReinforcements) end)
	OpenRA.RunAfterDelay(25 * 5, function() ReinforceFromSeaLeft2 (InfantryReinforcements3) end)
	OpenRA.RunAfterDelay(25 * 3, function() ReinforceFromSeaLeft3 (BuggyReinforcements) end)
	
	Actor.OnKilled(Actor162, SendLastReinforcements)
	Actor.OnKilled(Commando, MissionFailed)
	Actor.OnKilled(Actor3, MissionAccomplished)
end

Tick = function()
    tick = tick + 1
    if tick % 375 == 0 then
       print("Destroy the TechCenter! Your Commando must not die!")
    end
	if Mission.RequiredUnitsAreDestroyed(player) then
			print("Mission failed!")
		MissionFailed()
	end
	if Mission.RequiredUnitsAreDestroyed(enemy) then
			print("Mission accomplished!")
		MissionAccomplished()
	end
end